Probs mit Cinnamon, Hybrid-GPU, DE startet nicht mehr

hallo allerseits

vorab, mir ist bekannt daß man aufgrund von python 3.9, zB. den optimus-manager neu installieren muss, oder andere software welche damit in zusammenhang steht.

als das “heikle-fricklige” update drüber gelaufen war, re-installierte ich besagten optimus-manager.

leider funktionierte danach das einloggen nicht mehr. ich komme lediglich bis zum Anmeldebildschirm, welcher lightdm ist, und kann dort lediglich mein passwort eingeben.
normalerweise erscheint dann kurz eine art splash-screen von EOS, mit dem cinnamon schriftzug, und dann baut sich normalerweise der desktop auf.
und das tut es jetzt nicht mehr.
es kommt kurz ein leerer bildschirm, und danach lande ich wieder beim lightdm-loggin manager (anmeldeschirm).
ich kann zigmale versuchen mich einzuloggen. aber immer das selbe.

die ganzen programme aus dem AUR scheinen da richtig ärger zu machen, glaube ich.

eine möglichkeit die mir im spontan eingefallen ist, daß wenn ich vlt. sämtliche programme, welche mit python zusammenhängen, re-installiere, um somit wieder auf das aktuelle python aufschließen zu können.

vor einiger zeit bin ich mal über ein prgramm gestolpert, welches solche dinge, wie das angleichen auf eine neue python version , automatisch machen soll.
ja, so etwas gibt es. denn das problem ist schon länger bekannt.
nur fällt mir der name einfach nicht mehr ein.

ist meine vorstellung, bzw. meine geplante nächste vorgehensweise, sämtliche AUR pakete die mit python zusammenhängen, zu re-installieren logisch und plausibel ??

oder habe ich irgendwas vergessen oder übersehen ?

und, kennt jemand vielleicht jenes program, bzw. tool, welches solche dinge zu quasi automatisch macht ?

vielen dank im voraus und die besten grüße

optimus-manager is gemached aus python, a neue python muß irre optilus-manager neue geinstallierd werden als aug andere python apps von aur.

sie kann sehn pacman -Qqo /usr/lib/python3.8

it kann automatisch , mar is muß mit einem script und das script ich bin such for das :slight_smile:

as mit pamac mit vala update si musse reinstallieren die pamac. it mit python app also :slight_smile:

i found it. i mean this tool: rebuild-detector

but you must use the terminal and yay to install it. because keys.

and otherwise this way in terminal: ```
yay -S --noconfirm $(pacman -Qqo “/usr/lib/python3.8/site-packages”)

aurrebuildcheck also nice… rebuild-detector didnt pass validy check i chould change it, but lazy :slight_smile:

Hatte ich auch, nichts lief danach, no optimus manager fuer mich.

Ich hab dann etwas anderes probiert, package from pacman und nicht AUR.

Here ist meine Lösung (here a possible fix that worked for me)